# Package org.apache.ignite.internal.client.thin

Class Summary
ClientCacheAffinityContext: Client cache partition awareness context.
ClientCacheAffinityMapping: Affinity mapping (partition to nodes) for each cache.
ProtocolContext: Protocol Context.
ProtocolVersion: Thin client protocol version.
ProtocolVersionFeature: Thin client feature that was introduced by introducing new protocol version.
TcpIgniteClient: Implementation of `IgniteClient` over TCP protocol.

Enum Summary
ProtocolBitmaskFeature: Defines supported bitmask features for thin client.

Exception Summary
ClientServerError: Ignite server failed to process client request.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020